Moderation Action Create
Create a new moderation action such as a ban or content purge.
Create a new moderation action such as a ban or content purge.
/admin/actionsIn: cookie
Request Body
application/json
"purge_account"A unique identifier for this resource.
xidResponse Body
application/json
application/json
curl -X POST "https://loading/api/admin/actions" \ -H "Content-Type: application/json" \ -d '{ "action": "purge_account", "account_id": "cc5lnd2s1s4652adtu50", "include": [ "threads" ] }'{
"id": "cc5lnd2s1s4652adtu50",
"type": "thread_deleted",
"timestamp": "2019-08-24T14:15:22Z",
"enacted_by": {
"id": "cc5lnd2s1s4652adtu50",
"joined": "2019-08-24T14:15:22Z",
"suspended": "2019-08-24T14:15:22Z",
"handle": "Southclaws",
"name": "Barnaby Keene",
"signature": "<body><p>Sent with love from London!</p></body>",
"roles": [
{
"badge": true,
"default": true,
"id": "cc5lnd2s1s4652adtu50",
"name": "string",
"colour": "string",
"meta": {}
}
]
}
}{
"error": "string",
"message": "string",
"suggested": "string",
"metadata": {}
}Audit Event List GET
List audit events for the installation. Audit events track important actions taken by accounts with elevated permissions such as admin accounts and moderators. It also provides error logs for system internal components that could not be responded to the client directly such as background job failures and configuration issues.
Plugin Add POST
Add a plugin to the instance. This will not install or activate the plugin immediately. It will validate and prepare the plugin for install. Plugins can be uploaded directly as files or via a URL to a repository.